Bug 194467 - Help text regarding libata is inconsistent with actual parameter
Help text regarding libata is inconsistent with actual parameter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 08:25 EDT by Simon Roberts
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-20 17:46:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Roberts 2006-06-08 08:25:00 EDT
Description of problem:
Running "smartctl -i /dev/sda" on a SATA device produces a warning about '-d
libata' when the actual parameter required is '-d ata'

Version-Release number of selected component (if applicable):
smartmontools-5.33-4.2

How reproducible:
Every time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@simon ~]# smartctl -i /dev/sda
smartctl version 5.33 [i386-redhat-linux-gnu] Copyright (C) 2002-4 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

Device: ATA      FUJITSU MHU2100A Version: 0000

SATA disks accessed via libata are not currently supported by
smartmontools. When libata is given an ATA pass-thru ioctl() then an
additional '-d libata' device type will be added to smartmontools.
[root@simon ~]# smartctl -i -d libata /dev/sda
smartctl version 5.33 [i386-redhat-linux-gnu] Copyright (C) 2002-4 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=======> INVALID ARGUMENT TO -d: libata
=======> VALID ARGUMENTS ARE: ata, scsi, 3ware,N <=======

Use smartctl -h to get a usage summary

[root@simon ~]# smartctl -i -d ata /dev/sda
smartctl version 5.33 [i386-redhat-linux-gnu] Copyright (C) 2002-4 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=== START OF INFORMATION SECTION ===
Device Model:     FUJITSU MHU2100AT
Serial Number:    NQ06T5527GM1
Firmware Version: 00000008
User Capacity:    100,030,242,816 bytes
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   6
ATA Standard is:  ATA/ATAPI-6 T13 1410D revision 3a
Local Time is:    Thu Jun  8 22:29:37 2006 EST
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

[root@simon ~]#
Comment 1 Simon Roberts 2006-06-08 08:27:34 EDT
Probably fixed upstream in 5.34:

[DG] When linux detects a sata_via_libata disk suggest that user try
       '-d ata' (rather then '-d libata). Anticipate kernel change.

http://smartmontools.cvs.sourceforge.net/smartmontools/sm5/CHANGELOG?view=markup
Comment 2 Tomas Mraz 2006-06-08 10:03:12 EDT
smartmontools-5.36-fc5.1 should appear in FC5 testing updates repository soon.
Comment 3 Fedora Update System 2006-06-19 14:48:35 EDT
smartmontools-5.36-fc5.1 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.